Name:           beryl-dbus
Url:            http://www.beryl-project.org/
License:        GPL
Group:          User Interface/Desktops
Version:        0.1.4
Release:        2%{?dist}

Summary:        Beryl OpenGL window and compositing manager dbus plug-in
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64

Requires:       beryl-core >= %{version}

BuildRequires:  beryl-core-devel >= %{version}, dbus-devel, glib2-devel


%description
Beryl is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Beryl is a community-driven fork of
Compiz.

Beryl has a flexible plug-in system, which the
contents of this package take advantage of.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/beryl/libdbus.so
%{_datadir}/dbus-1/services/beryl.service


%changelog
* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 0.1.4-3
- Don't provide beryl lib dir, beryl-core should

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 0.1.4-2
- Add BR: glib2-devel

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 0.1.4-1
- New upstream release

* Tue Dec 12 2006 Jarod Wilson <jwilson@redhat.com> 0.1.3-1
- New upstream release

* Fri Nov 17 2006 Jarod Wilson <jwilson@redhat.com> 0.1.2-4
- Remove Req: dbus, rely on auto-gen dbus lib dep

* Thu Nov 16 2006 Jarod Wilson <jwilson@redhat.com> 0.1.2-3
- Minimize BR:

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 0.1.2-2
- Use upstream tarballs, now that they exist

* Fri Nov 10 2006 Jarod Wilson <jwilson@redhat.com> 0.1.2-1
- New upstream release

* Mon Nov 06 2006 Jarod Wilson <jwilson@redhat.com> 0.1.1-1
- Initial build
